Subject: BIRD #4, ECL bird

From: Stephen Peters <[email-masked]>
Date: Fri, 05 Nov 1993 13:38:12 -0800

Greetings again --
     As promised, here is the BIRD that deals with
specifing ECL type outputs.  Because the issue of
pulldown V/I curve reference has been addressed in the
previous BIRD (BIRD #3), this bird deals strictly with
the reduced output voltage swing issue.

	Best Regards,
	Stephen Peters

P.S. -- In my haste to get BIRD #3 finished I inadvertently 
forgot to include the following:

******************************************************************************
ANY OTHER BACKGROUND INFORMATION:  The author wishs to acknowledge Kelly
Crisafulli of Hyperlynx and Kumar of Cadence Design Systems for planting
the ideas that became this BIRD.
******************************************************************************

------------------------ cut here --------------------------------------------

                 Buffer Issue Resolution Document  (BIRD)

BIRD ID#: 	0004
ISSUE TITLE:	ECL Extensions
REQUESTER:	Stephen Peters, Intel Corp.

DATE SUBMITTED: November 5, 1993
DATE ACCEPTED BY IBIS OPEN FORUM:

*******************************************************************************
*******************************************************************************

STATEMENT OF THE ISSUE:  This proposal addresses the need to extend the
IBIS specification to include devices with Emitter Coupled Logic (ECL) 
type output structures.

The proposed changes are two in number: 
     (1) Lessening the required voltage range over which an ECL output
	 is characterized.
     (2) Explicitly specifying under what output conditions data is
	 gathered for inclusion in the pullup and pulldown tables.

*******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:  

(1) The first change is to relax (decrease) the range of voltage values
required when tabulating the V-I characteristics of an ECL output. For an
ECL device it is proposed the range be decreased to VCC (the most positive
power supply) to VCC - 2.2 volts (currently the range is from GND - POWER
to 2*POWER). Specifically, add the following to Item 2 in the "NOTES ON
DATA DERIVATION METHOD" section of the specification:

     When tabulating output data for ECL type devices, the voltage points 
     must span the range of VCC to VCC - 2.2V.  This range applies to both the
     pullup and pulldown tables.  Note that this range applies ONLY when
     characterizing an ECL output.

(3) Secondly, it is proposed to explicitly state in the specification under
what output conditions data is gathered for the pullup and pulldown tables
and that, in both cases, the voltage data is referenced to VCC.  The
proposed explanation should be placed in the 'Other Notes' section of the
text describing the [Pulldown] and [Pullup] keywords and is as follows:

     When tabulating data for ECL devices, the data in the pulldown table
     is measured with the output in the 'logic low' state.  In other words,
     the data in the table represents the V-I characteristics of the
     output when the output is at the most negative of its two logic
     levels.  Likewise, the data in the pullup table is measured with the
     output in the 'logic one' state and represents the V-I characteristics
     when the output is at the most positive logic level.  Note that in BOTH
     these cases the data is referenced to the VCC supply voltage, using
     the equation  Vtable = Vcc - Voutput.

*******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

(1)   The reason the voltage range over which an ECL output is specified
should be relaxed is that, with ECL, one is dealing with much smaller 
signal swings and terminated transmission lines.
     The rational for specifying such a large voltage range was to allow
for the case of a CMOS output driving an unterminated transmission line.
When an incident voltage wave hits the end of an unterminated line it
will reflect back to the source at double the amplitude. Thus, a CMOS
output that swings rail-to-rail could see a reflection of up to 2*VCC
(or -VCC in the negative direction).  However, with an ECL output, the
output swing is only ~800mv (typically -.9v to -1.7v) and furthermore,
because of the vary nature of ECL, any transmission lines will be
terminated with an Rt close to the lines Zo.  Even in the case where the
mismatch between Zo and Rt is 2:1, the maximum reflection is .270mv,
and the voltage range at the source due to reflections is -.6 to -2.0v.
Therefore, a range of VCC to VCC -2.2v is adequate to specify the output
under any reasonable conditions, and should be enough to allow simulators
to extrapolate the curves.

(3)  The second proposal is an effort to make perfectly clear to both the
user and the person creating an IBIS specification for a particular part
how ECL device are to be handled.

*******************************************************************************

ANY OTHER BACKGROUND INFORMATION:

*******************************************************************************